| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
PreStack::EventReader Class Reference
PreStackProcessing

Reader for PreStack events. More...

`#include <prestackeventio.h>`

Inheritance diagram for PreStack::EventReader:
[legend]

## Public Member Functions
| EventReader (IOObj *, EventManager *, bool trigger)
| ~EventReader ()
uiString | errMsg () const
bool | getBoundingBox (Interval< int > &inlrg, Interval< int > &crlrg) const
| Only after first nextStep, or prepareWork.
bool | getPositions (BinIDValueSet &) const
| Only after first nextStep, or prepareWork.
int | nextStep () override
bool | prepareWork ()
| Will run automaticly at first nextStep.
void | setSelection (const BinIDValueSet *)
void | setSelection (const TrcKeySampling *)
uiString | uiMessage () const override
Public Member Functions inherited from Executor
| Executor (const char *nm)
virtual | ~Executor ()
int | doStep () override
bool | execute () override
bool | go (od_ostream &s, bool isfirst=true, bool islast=true, int delaybtwnstepsinms=0)
bool | go (od_ostream *s=0, bool isfirst=true, bool islast=true, int delaybtwnstepsinms=0)
Public Member Functions inherited from SequentialTask
| SequentialTask (const char *nm=nullptr)
virtual | ~SequentialTask ()
bool | execute () override
Public Member Functions inherited from ReportingTask
| ReportingTask (const ReportingTask &)=delete
virtual | ~ReportingTask ()
void | getProgress (const ReportingTask &)
ReportingTask & | operator= (const ReportingTask &)=delete
void | setSimpleMeter (bool yn, int repperc)
int | simpleMeterStep () const
bool | useSimpleMeter () const
Public Member Functions inherited from Task
| Task (const Task &)=delete
virtual | ~Task ()
virtual void | controlWork (Control)
virtual void | enableWorkControl (bool=true)
| Must be called before execute()
virtual uiRetVal | errorWithDetails () const
virtual Control | getState () const
virtual od_int64 | nrDone () const
Task & | operator= (const Task &)=delete
virtual od_int64 | totalNr () const
virtual uiString | uiNrDoneText () const
bool | workControlEnabled () const
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Static Public Member Functions
static VSEvent::Type | decodeEventType (int)
static int | encodeEventType (VSEvent::Type)
static bool | readSamplingData (const IOObj &, SamplingData< int > &inl, SamplingData< int > &crl)
static const char * | sAuxDataFileName ()
static const char * | sFileType ()
static const char * | sHorizonFileType ()
static const char * | sHorizonFileVersion ()
static const char * | sKeyCSamp ()
static const char * | sKeyFloatDataChar ()
static const char * | sKeyHorizonID ()
static const char * | sKeyHorizonRef ()
static const char * | sKeyInt16DataChar ()
static const char * | sKeyInt32DataChar ()
static const char * | sKeyISamp ()
static const char * | sKeyNextHorizonID ()
static const char * | sKeyNrHorizons ()
static const char * | sKeyPrimaryDipSource ()
static const char * | sKeySecondaryDipSource ()
static const char * | sOldHorizonFileName ()
Static Public Member Functions inherited from SequentialTask
static int | ErrorOccurred ()
static int | Finished ()
static int | MoreToDo ()
static int | WarningAvailable ()
Static Public Member Functions inherited from ReportingTask
static PtrMan< ProgressMeter > | getTextProgressMeter (od_ostream &, const IOPar *iop=nullptr)
static bool | needSimpleLogging (const IOPar &)
static const char * | sKeySimpleLogging ()
static const char * | sKeySimpleLoggingStep ()
Static Public Member Functions inherited from Task
static uiString | uiStdNrDoneText ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Protected Member Functions
bool | addReader (const char *fnm)
bool | readAuxData (const char *fnm)
Protected Member Functions inherited from Executor
virtual bool | goImpl (od_ostream *, bool, bool, int)
Protected Member Functions inherited from SequentialTask
virtual bool | doFinish (bool success, od_ostream *=nullptr)
virtual bool | doPrepare (od_ostream *=nullptr)
Protected Member Functions inherited from ReportingTask
| ReportingTask (const char *nm=nullptr)
void | incrementProgress ()
ProgressMeter * | progressMeter () const
void | reportProgressFinished ()
void | reportProgressStarted ()
void | resetProgress ()
void | setProgressMeter (ProgressMeter *) override
| Must be called before execute()
void | updateProgressMeter (bool forced=false, od_int64 *totalnr=0)
void | updateReportedName ()
Protected Member Functions inherited from Task
| Task (const char *nm=nullptr)
virtual bool | shouldContinue ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const

## Protected Attributes
const BinIDValueSet * | bidsel_ = nullptr
uiString | errmsg_
EventManager * | eventmanager_
const TrcKeySampling * | horsel_ = nullptr
const IOObj * | ioobj_
ObjectSet< EventPatchReader > | patchreaders_
bool | trigger_
Protected Attributes inherited from Task
Control | control_ = Task::Run
Threads::ConditionVar * | workcontrolcondvar_ = nullptr
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Additional Inherited Members
Public Types inherited from Task
enum | Control { Run , Pause , Stop }
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Public Attributes inherited from Executor
Notifier< Executor > | poststep
| Only when MoreToDo will be returned.
Notifier< Executor > | prestep
Public Attributes inherited from ReportingTask
Notifier< ReportingTask > | progressUpdated

## Detailed Description

Reader for PreStack events.

<>

## Constructor & Destructor Documentation

## ◆ EventReader()

PreStack::EventReader::EventReader | ( | IOObj * | ,
|  | EventManager * | ,
|  | bool | trigger )

If not mgr is given, only prepareWork & getPositions can be run, no real work

## ◆ ~EventReader()

PreStack::EventReader::~EventReader | ( |  | ) |

## Member Function Documentation

## ◆ addReader()

bool PreStack::EventReader::addReader | ( | const char * | fnm | ) |
| protected

## ◆ decodeEventType()

static VSEvent::Type PreStack::EventReader::decodeEventType | ( | int |  | ) |
| static

## ◆ encodeEventType()

static int PreStack::EventReader::encodeEventType | ( | VSEvent::Type |  | ) |
| static

## ◆ errMsg()

uiString PreStack::EventReader::errMsg | ( |  | ) | const

## ◆ getBoundingBox()

bool PreStack::EventReader::getBoundingBox | ( | Interval< int > & | inlrg,
|  | Interval< int > & | crlrg ) const

Only after first nextStep, or prepareWork.

## ◆ getPositions()

bool PreStack::EventReader::getPositions | ( | BinIDValueSet & |  | ) | const

Only after first nextStep, or prepareWork.

## ◆ nextStep()

int PreStack::EventReader::nextStep | ( |  | ) |
| override virtual

Return values

  MoreToDo() | Not finished. Call me again.
  Finished() | Nothing more to do.
  ErrorOccurred() | Something went wrong.

Note
  if function returns a value greater than cMoreToDo(), it should be interpreted as cMoreToDo().

Implements SequentialTask.

## ◆ prepareWork()

bool PreStack::EventReader::prepareWork | ( |  | ) |

Will run automaticly at first nextStep.

## ◆ readAuxData()

bool PreStack::EventReader::readAuxData | ( | const char * | fnm | ) |
| protected

## ◆ readSamplingData()

static bool PreStack::EventReader::readSamplingData | ( | const IOObj & | ,
|  | SamplingData< int > & | inl,
|  | SamplingData< int > & | crl )
| static

## ◆ sAuxDataFileName()

static const char * PreStack::EventReader::sAuxDataFileName | ( |  | ) |
| inline static

## ◆ setSelection() [1/2]

void PreStack::EventReader::setSelection | ( | const BinIDValueSet * |  | ) |

## ◆ setSelection() [2/2]

void PreStack::EventReader::setSelection | ( | const TrcKeySampling * |  | ) |

## ◆ sFileType()

static const char * PreStack::EventReader::sFileType | ( |  | ) |
| inline static

## ◆ sHorizonFileType()

static const char * PreStack::EventReader::sHorizonFileType | ( |  | ) |
| inline static

## ◆ sHorizonFileVersion()

static const char * PreStack::EventReader::sHorizonFileVersion | ( |  | ) |
| inline static

## ◆ sKeyCSamp()

static const char * PreStack::EventReader::sKeyCSamp | ( |  | ) |
| inline static

## ◆ sKeyFloatDataChar()

static const char * PreStack::EventReader::sKeyFloatDataChar | ( |  | ) |
| inline static

## ◆ sKeyHorizonID()

static const char * PreStack::EventReader::sKeyHorizonID | ( |  | ) |
| inline static

## ◆ sKeyHorizonRef()

static const char * PreStack::EventReader::sKeyHorizonRef | ( |  | ) |
| inline static

## ◆ sKeyInt16DataChar()

static const char * PreStack::EventReader::sKeyInt16DataChar | ( |  | ) |
| inline static

## ◆ sKeyInt32DataChar()

static const char * PreStack::EventReader::sKeyInt32DataChar | ( |  | ) |
| inline static

## ◆ sKeyISamp()

static const char * PreStack::EventReader::sKeyISamp | ( |  | ) |
| inline static

## ◆ sKeyNextHorizonID()

static const char * PreStack::EventReader::sKeyNextHorizonID | ( |  | ) |
| inline static

## ◆ sKeyNrHorizons()

static const char * PreStack::EventReader::sKeyNrHorizons | ( |  | ) |
| inline static

## ◆ sKeyPrimaryDipSource()

static const char * PreStack::EventReader::sKeyPrimaryDipSource | ( |  | ) |
| inline static

## ◆ sKeySecondaryDipSource()

static const char * PreStack::EventReader::sKeySecondaryDipSource | ( |  | ) |
| inline static

## ◆ sOldHorizonFileName()

static const char * PreStack::EventReader::sOldHorizonFileName | ( |  | ) |
| inline static

## ◆ uiMessage()

uiString PreStack::EventReader::uiMessage | ( |  | ) | const
| inline override virtual

Reimplemented from Task.

## Member Data Documentation

## ◆ bidsel_

const BinIDValueSet* PreStack::EventReader::bidsel_ = nullptr
| protected

## ◆ errmsg_

uiString PreStack::EventReader::errmsg_
| protected

## ◆ eventmanager_

EventManager* PreStack::EventReader::eventmanager_
| protected

## ◆ horsel_

const TrcKeySampling* PreStack::EventReader::horsel_ = nullptr
| protected

## ◆ ioobj_

const IOObj* PreStack::EventReader::ioobj_
| protected

## ◆ patchreaders_

ObjectSet<EventPatchReader> PreStack::EventReader::patchreaders_
| protected

## ◆ trigger_

bool PreStack::EventReader::trigger_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025